#!/usr/bin/perl

use IO::Socket;
use strict;
use Getopt::Std;

getopts('s:f:');
use vars qw/ $opt_s $opt_f/;

$|=1;

my $response;
my $sockname = $opt_s || die "Usage: $0 -s <trophie_socket> -f filename\n";

my $path = $opt_f || die "Usage: $0 -s <trophie_socket> -f filename\n";
$path = "$path\n";

socket(\*sock, AF_UNIX, SOCK_STREAM, 0) || die "Couldn't create socket ($!)\n";
connect(\*sock, pack_sockaddr_un $sockname) || die "Couldn't connect() to the so
cket ($!)\n";

syswrite(\*sock, $path, length($path));
sysread(\*sock, $response, 256);
close(\*sock);

if ($response =~ m/^1/)
{
        print "FILE/DIR INFECTED : [$path]\n";
        if ($response =~ m/^1:.*$/)
        {
                my ($virus) = ($response =~ m/^1:(.*)$/);
                print "VIRUS FOUND   : [$virus]\n";
                print "resp=$response\n";
        }
}
elsif ($response == -1)
{
        print "UNKNOWN STATUS: [$path]\n";
}
elsif ($response == 0)
{
        print "FILE/DIR IS CLEAN : [$path]\n";
}
else
{
        print "OOOOOUPS!     : [$path]\n";
}
